summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2015-05-17 14:40:28 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-17 14:44:56 +0700
commitfc2410eecabe4f553672d42613b87a02896ff088 (patch)
tree8f25b60a13de478b2df0371b0ed090e01b382303 /system
parent528147552870429deca7b867c1d4e0679c767287 (diff)
downloadslackbuilds-fc2410eecabe4f553672d42613b87a02896ff088.tar.gz
slackbuilds-fc2410eecabe4f553672d42613b87a02896ff088.tar.xz
system/alien: Added (converting program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/alien/README5
-rw-r--r--system/alien/alien.SlackBuild89
-rw-r--r--system/alien/alien.info10
-rw-r--r--system/alien/doinst.sh3
-rw-r--r--system/alien/slack-desc19
5 files changed, 126 insertions, 0 deletions
diff --git a/system/alien/README b/system/alien/README
new file mode 100644
index 0000000000..a9de18642e
--- /dev/null
+++ b/system/alien/README
@@ -0,0 +1,5 @@
+Alien is a program that converts between the rpm, dpkg, stampede slp,
+and slackware tgz file formats. If you want to use a package from
+another distribution than the one you have installed on your system,
+you can use alien to convert it to your preferred package format and
+install it.
diff --git a/system/alien/alien.SlackBuild b/system/alien/alien.SlackBuild
new file mode 100644
index 0000000000..29abfda216
--- /dev/null
+++ b/system/alien/alien.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for alien
+
+# Copyright 2015 Dimitris Zlatanidis Orestiada, Greece
+#
+# Permission to use, copy, modify, and distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=alien
+VERSION=${VERSION:-8.93}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM\_$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a GPL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/alien/alien.info b/system/alien/alien.info
new file mode 100644
index 0000000000..05c909072c
--- /dev/null
+++ b/system/alien/alien.info
@@ -0,0 +1,10 @@
+PRGNAM="alien"
+VERSION="8.93"
+HOMEPAGE="http://joeyh.name/code/alien/"
+DOWNLOAD="http://http.debian.net/debian/pool/main/a/alien/alien_8.93.tar.gz"
+MD5SUM="3bda078c4503e46a96242ca62f11f884"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/system/alien/doinst.sh b/system/alien/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/system/alien/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/alien/slack-desc b/system/alien/slack-desc
new file mode 100644
index 0000000000..8e08a7496f
--- /dev/null
+++ b/system/alien/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+alien: alien (converting program)
+alien:
+alien: Alien is a program that converts between the rpm, dpkg, stampede slp,
+alien: and slackware tgz file formats. If you want to use a package from
+alien: another distribution than the one you have installed on your system,
+alien: you can use alien to convert it to your preferred package format and
+alien: install it.
+alien:
+alien: Homepage: http://joeyh.name/code/alien/
+alien:
+alien: